%define name Mesa
%define version 3.1beta1
%define release 3
%define major 3.1
%define minor 3

%define builddir $RPM_BUILD_DIR/%{name}-%{major}

Summary: Free OpenGL implementation.
Summary(fr): Implmentation OpenGL gratuite.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Libraries
Copyright: LGPL
Url: http://www.ssec.wisc.edu/~brianp/Mesa.html
Packager: Ryan Weaver <ryanw@infohwy.com>
Distribution: Freshmeat RPMs
Source: MesaLib-%{version}.tar.gz
Source1: MesaDemos-%{version}.tar.gz
Patch0: Mesa-3.0-opt-pthread.patch
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Conflicts: glut

%description
Mesa is a 3-D graphics library with an API which
is very similar to that of OpenGL*, to the extent
that Mesa utilizes the OpenGL command syntax or
state machine. It is being used with authorization
from Silicon Graphics, Inc.  However, the author
makes no claim that Mesa is in any way a compatible
replacement for OpenGL or associated with Silicon
Graphics, Inc. Those who want a licensed
implementation of OpenGL should contact a licensed
vendor.  This software is distributed under the terms
of the GNU Library General Public License, see the
LICENSE file for details.

* OpenGL(R) is a registered trademark of Silicon
Graphics, Inc.

%description -l fr
Mesa est un librairie graphique 3-D avec une API trs
similaire  celle d'OpenGL*, a un tel point que Mesa
utilise la mme syntaxe de commandes ou tat de la
machine que OpenGL. Ceci est utilis avec l'autorisation
de Silicon Graphics, Inc. Mais l'auteur ne pretend
aucunement que Mesa est une alternative compatible 
OpenGL ou associe  Silicon Graphics, Inc. Ceux qui
veulent une implmentation sous license d'OpenGL,
devraient contacter un vendeur sous license. Ce 
programme est distribu sous la license "GNU Library
Public License", voir le fichier LICENSE pour les
details.

* OpenGL(R) est une marque dpose de Silicon
Graphics, Inc.

%package devel
Summary: Static libraries and header files for Mesa
Summary(fr): Librairies statiques et fichiers entte pour Mesa
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The static libraries and header files for Mesa.

%description devel -l fr
Les libraries statiques et fichiers entte pour Mesa.

%prep

%setup -q -n Mesa-3.1 -b 1

%patch0 -p1

%build
mkdir %{builddir}/stuff
mv %{builddir}/{xdemos,book,samples,3Dfx,demos,util,mtdemos} %{builddir}/stuff
make linux-386-pthread
make clean
make linux-386-pthread-shared

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/include
cp -dpr lib include $RPM_BUILD_ROOT/usr

%files
%attr( - ,root,root) %doc FUTURE IAFA-PACKAGE LICENSE README
%attr( - ,root,root) %doc RELNOTES VERSIONS README.3DFX README.X11
%attr(755,root,root) /usr/lib/libMesa*.so.%{major}
%attr( - ,root,root) /usr/lib/libMesa*.so.%{minor}
%attr(755,root,root) /usr/lib/libglut.so.3.7
%attr( - ,root,root) /usr/lib/libglut.so.3

%files devel
%attr( - ,root,root) /usr/lib/libMesa*.so
%attr( - ,root,root) /usr/lib/libglut.so
%attr(644,root,root) /usr/lib/*.a
%attr(755,root,root) %dir /usr/include/GL
%attr(644,root,root) /usr/include/GL/*

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sat Nov 21 1998 Manuel J. Galan <manolow@step.es>
- Use pthreads
* Fri Nov 20 1998 Ryan Weaver <ryanw@infohwy.com>
  [Mesa-3.1beta1-1]
- Moved from using Fryguy_ to Ryan Weaver
  Signing RPM with PGP now.
- 3.1 beta 1  November 19, 1998
  New:
	- GL_EXT_stencil_wrap extension
	- GL_INGR_blend_func_separate extension
	- GL_ARB_multitexture extension
	- GL_NV_texgen_reflection
	- newly optimized vertex transformation code
	- updated GLUT 3.7 code
	- better precision when using 32-bit Z buffer
	- Allegro DJGPP driver
  Bug fixes:
	- glCopyPixels between front/back buffers didn't copy alpha correctly
	- fixed out-of-bounds memory access in optimized 2-D texture code
	- glPixelStorei didn't accept GL_PACK/UNPACK_IMAGE_HEIGHT parameter
	- glGet*() didn't accept GL_MAX_3D_TEXTURE_SIZE parameter
	- clipping of texture coordinates sometimes had bad R,Q values
	- GL_CLAMP_TO_EDGE texture sampling was off by 0.5 texels
	- glEdgeFlagPointer() now takes a GLvoid * instead of GLboolean *
	- texture was sometimes applied twice with 3Dfx driver
	- glPush/PopAttrib() fouled up texture object reference counts
	- glDeleteLists(0, n) caused assertion failure
	- bilinear texture sampling wasn't accurate enough
	- glClear w/ glDepthMask(GL_FALSE) didn't work right on 3Dfx
	- color components were reversed on big endian 32 bpp X visuals
  Changes:
	- removed GL_EXT_multitexture extension

* Mon Oct 26 1998 Fryguy_ <fryguy@falehope.co>
  [Mesa-3.0-2]
- Added patches to 3.0 from the ftp site.
- 3.0  September 17, 1998
  New:
	- OpenGL 1.2 API
	- GL_EXT_abgr pixel format extension
	- GL_SGIS_texture_edge_clamp extension
	- GL_SGIS_multitexture extension (to be replaced by GL_ARB_multitex)
	- GL_EXT_multitexture extension (to be replaced by GL_ARB_multitex)
	- GL_EXT_rescale_normal extension and renormal.c demo
	- GLX_SGI_video_sync extension (a no-op)
	- antialiased lines
	- glGetTexImage() now implemented
	- glDraw/Copy/ReadPixels() optimizations
	- optimized textured triangle code (Marten Stromberg)
	- more optimization of dithered TrueColor triangles in X driver
	- Linux GGI driver
	- updated MGL driver
  Bug fixes:
	- lots of assorted compilation fixes
	- glInitNames didn't write initial hit record
	- glBitmap didn't always check for invalid raster position
	- switching between GLX and OSMesa contexts caused a crash
	- fixed uninitialized variable in Mesa widget code
	- fixed typo in texture code which caused book/texgen to crash
	- fixed texture sampling bug when filter=GL_LINEAR and wrap=GL_CLAMP
	- gluDisk() in POINT or LINE mode sometimes failed
	- fixed texture + fog bug
	- GL_COMPILE_AND_EXECUTE mode didn't work reliably
	- glMultMatrix in projection matrix mode w/ 3Dfx driver could fail
	- glDrawPixels(color index pixels) weren't converted to RGBA
	- fixed possible getenv() buffer overflow security bug
	- glBitmap in feedback mode was offset by xOrig, yOrig params
	- device driver's DrawPixels hook was never used
	- glDrawPixels with zoomY!=1 and top/bottom clipping didn't work
	- glDrawPixels optimized for GL_LUMINANCE, GL_LUMINANCE_ALPHA, GLubyte
	- fixed MakeCurrent bug in GLwRedrawObjects() in MesaWorkstation.c
	- glCopyTexSubImage2D() didn't work with 3Dfx driver
	- lines with width = 2 could cause crash
	- glClear with scissor rect sometimes cleared whole buffer
	- glTexSubImage2D( .. GL_COLOR_INDEX .. ) didn't work
	- glTexImageXD( .. GL_ABGR_EXT .. ) didn't work
	- computation of inverse modelview matrix sometimes failed
	- fixed GL_CLAMP mode texture sampling bug
	- textured line interpolation was somewhat broken
	- textured triangle interpolation was also somewhat broken
	- glGet(MODELVIEW/PROJECTION/TEXTURE_MATRIX_STACK_DEPTH) off by one
	- evaluator state wasn't fully initialized
	- texture coordinate clipping was buggy
	- evaluator surfaces could be mis-colored
	- glAccum(GL_RETURN, s) didn't obey glColorMask() settings
	- zero area polygons shouldn't be culled if polygon mode is point/line
	- clipped width and height of glReadPixels was sometimes off by one
	- blending with alpha = 0 or 1.0 wasn't always exact
	- reading of pixels from clipped region was buggy
	- minor tweaking of X visual management in GLX emulator
	- glPolygonStipple now obeys pixel unpacking parameters
	- glGetPolygonStipple now obeys pixel packing parameters
	- interleaved vertex array texture coordinates were broken
	- query of proxy texture internal format was broken
	- alpha channel wasn't reliably cleared
	- fixed divide by zero error in gluScaleImage if dest size = 1 x 1
  Conformance bug fixes:
	- GL_SELECTION_BUFFER_POINTER and GL_SELECTION_BUFFER_SIZE were missing
	- GL_TEXTURE_INTERNAL_FORMAT was missing
	- glGet*(GL_POLYGON_STIPPLE) was broken
	- glPush/PopAttrib() didn't save/restore all texture state
	- glBitmap in feedback mode didn't work
	- feedback of texture coords didn't always work
	- glDrawPixels w/ format=GL_DEPTH_COMPONENT, type=GLbyte was broke
	- glDrawPixels w/ format=GL_DEPTH_COMPONENT, type=GLubyte was broke
	- glDrawPixels w/ format=GL_STENCIL_INDEX, type=GL_BITMAP was broke
  Changes:
	- upgraded GLUT to version 3.7
	- only GL and GLU library code included in MesaLib.tar.gz
	- GLUT and all demos now in MesaDemos.tar.gz
	- glaux and gltk libraries removed
	- IRIX -n32 and -64 libs go in lib32/ and lib64/ directories
